<template>
  <div class="body-cotainer-custom">
      <div class="topnav" v-if="(url !== '/signin') &&
                                (url !== '/signup') &&
                                (url !== '/forgotpass') &&
                                (url !== '/createpro') &&
                                (url !== '/emailcon')&&
                                (url !== '/repass')">
        <router-link to ='' class="nav-link" v-if="url === '/'">Project List</router-link>
        <router-link to ='' class="nav-link" v-if="url === '/emp'">Employee List</router-link>
        <router-link to="/" class="nav-link">Project</router-link>
        <router-link to="/emp" class="nav-link">Employee</router-link>
        <div class="topnav-right">
          <a class="nav-link"  @click="userView()">{{userName}}</a>
          <a class="nav-link"  @click="signout()">Sign out</a>
        </div>
      </div>
      <transition name="fade">
        <router-view></router-view>
      </transition>
  </div>
</template>

<script>
export default {
  data () {
    return {
      url: '',
      userName: ''
    }
  },
  methods: {
    signout () {
      this.axios.get('http://127.0.0.1:8000/api/signout')
        .then(response => {
          this.$cookie.delete('token')
          this.$cookie.delete('role')
          this.$cookie.delete('username')
          this.$cookie.delete('id')
          this.$router.push('/signin')
        })
        .catch(error => {
          console.log(error)
        })
    },
    userView () {
      this.$router.push('/profile-view/' + this.$cookie.get('id'))
    },
    getUserName () {
      this.userName = this.$cookie.get('username')
    }
  },
  computed: {
  },
  mounted () {
    this.getUserName()
  }
}
</script>
